Subject: Re: Drop database command will raise "wrong tuple length" if pg_database tuple contains toast attribute.

From: Tomas Vondra <[email-masked]>
Date: Mon, 19 Aug 2024 00:35:39 +0200

On 8/16/24 13:26, Tomas Vondra wrote:
> Hi Ayush,
> 
> ...
> 
> So this fix seems reasonable.
> 

I've pushed this to all affected branches, except for 11 which is EOL.

I thought about adding a test, but I couldn't think of a TAP test where
this would really fit, and it didn't seem very practical to have a test
creating hundreds of roles. So I abandoned the idea.

Thanks for the report and the fix!

-- 
Tomas Vondra